Bug 507113 - x86_64 repo contains only i386 upgrade to frysk, which pulls in gbytes of unwanted 32bit rpms
x86_64 repo contains only i386 upgrade to frysk, which pulls in gbytes of unw...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: frysk (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: andrew.cagney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-20 19:57 EDT by John Ellson
Modified: 2010-12-05 01:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:49:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2009-06-20 19:57:53 EDT
Description of problem:
Today's rawhide contains an upgrade to frysk, but only as an i386.rpm.  A consequence of this is that it pulls in Gbytes of unwanted 32but packages onto 64bit systems.

frysk needs to provide its x86_64 upgrade.

yum should never upgrade to an i386 (or i586) rpm when a x86_64 rpm is installed.

Version-Release number of selected component (if applicable):
frysk-0.4-10.fc12.i386.rpm
yum-3.2.23-5.fc12.noarch

How reproducible:


Steps to Reproduce:
1. yum update (on a x86_64 system with no i[356]86 rpms installed)
2.
3.
  
Actual results:
pulls in 32bit rpms

Expected results:
don't pull in 32bit rpms unless already installed alongside an x86_64 rpm, and both are upgraded together

Additional info:
Comment 1 cagney 2009-07-02 13:21:47 EDT
As best I can tell, according to koji there is an accompanying 64-bit build:
  http://koji.fedoraproject.org/koji/buildinfo?buildID=107113
so I'm not sure why yum is trying to replace 64-bit with 32-bit binary.
Comment 2 Bug Zapper 2009-11-16 05:15:49 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 cagney 2010-03-17 13:41:52 EDT
I believe this was a transient problem in yum (I encountered it with packages other than frysk).  Without evidence to the contrary, I'll let this bug close its self.
Comment 4 Bug Zapper 2010-11-04 07:03:31 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-05 01:49:53 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.